:root {}

@font-face {
    font-family: 'VCR OSD Mono';
    src: url('./VCR_OSD_MONO.ttf');
}

* {
	user-select: none;
}

html, body {
	height: 100%;
	margin: 0;
}

body {
	background-image: url("./backdrop.png");
	background-position-x: var(--rollw);
	background-position-y: var(--rollh);
}

img {
	position: absolute;
	image-rendering: pixelated;
	image-rendering: crisp-edges;
	-ms-interpolation-mode: nearest-neighbor;
}

background, foreground {
	position: fixed;
	margin: 0;
}

background, foreground {
	top: 15vh;
	bottom: 15vh;
	aspect-ratio: 1.5;
}

background {
	background: #52DED5;
	box-shadow: 30px 30px 0 rgb(0,0,0,0.75);
	border: black solid 2px;
}

foreground {
	display: flex;
	justify-content: center;
	align-items: center;
}

sky {
	position: absolute;
	display: block;
	width: 100%;
	height: 50%;
	background-image: linear-gradient(to bottom, #FF00DC, #FFB6FF);
}

clouds, city, trees {
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	height: 100%;
	image-rendering: pixelated;
	image-rendering: crisp-edges;
	-ms-interpolation-mode: nearest-neighbor;
}

clouds {
	background-image: url("./clouds.png");
	background-size: 100%;
}

city {
	background-image: url("./city.png");
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: bottom;
}

trees {
	height: 25%;
	
	background-image: url("./palmtree2.png");
	background-size: contain;
	background-repeat: repeat-x;
	background-position: bottom;
	background-position-x: var(--trees);
}

#floor {
	position: absolute;
	display: block;
	left: 0;
	top: 50%;
	width: 100%;
	height: 50%;
	image-rendering: pixelated;
	image-rendering: crisp-edges;
	-ms-interpolation-mode: nearest-neighbor;
}

#objects {
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	z-index: 1;
	overflow: hidden;
}

#objects img {
	left: 0;
	top: 0;
}

center {
	display: flex;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

win95dialog {
	z-index: 2;
	position: absolute;
	margin: auto;
	transform: translateY(-25%) translateY(var(--float4));
	font-family: Times New Roman, serif;
	font-smooth: never;
	-webkit-font-smoothing:none;
}

win95dialog > img {
	position: relative;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	box-shadow: 15px 15px 0 rgb(0,0,0,0.75);
}

win95dialog .text {
	position: absolute;
}

#iconTickerUp {
	left: 32px;
}
#iconTickerDown {
	right: 32px;
}
vticker {
	display: flex;
	flex-direction: column;
	width: 64px;
	top: 0;
	bottom: 0;
	position: absolute;
	overflow: hidden;
}
vticker img {
	width: 100%;
}

#lain {
	left: 0;
	bottom: 0;
}

#main_bust1, #main_bust2, #main_hand1, #main_hand2 {
	z-index: 1;
}

#main_bust1 {
	left: 10vw;
	bottom: 10vh;
	transform: translateX(var(--float2)) translateY(var(--float1));
}

#main_bust2 {
	right: 10vw;
	top: 10vh;
	transform: scaleX(-100%) translateX(var(--float1)) translateY(var(--float3));
}

#main_hand1 {
	left: 10vw;
	top: 15vh;
	transform: translateX(var(--float3)) translateY(var(--float2));
}

#main_hand2 {
	right: 10vw;
	bottom: 15vh;
	transform: translateX(var(--float1)) translateY(var(--float2));
}

upper, lower {
	position: absolute;
	display: flex;
	left: 2vw;
	right: 2vw;
	margin: 2vw;
}

upper {
	top: 2vh;
}

lower {
	bottom: 2vh;
}

ticker {
	position: relative;
	font-family: Arial, sans-serif;
	font-size: 60px;
	font-weight: 400;
	color: white;
	overflow: hidden;
	white-space: nowrap;
	background: linear-gradient(to right, black, rgb(0, 127, 255, 0.5) 10%, rgb(0, 255, 255, 0.75) 90%, black);
	
	width: 100%;
	margin: 0 2vw;
	mix-blend-mode: lighten;
}

ticker > span {
	left: 0;
	position: absolute;
}

vcr {
	font-family: 'VCR OSD Mono';
	font-size: 60px;
	color: white;
	background: black;
	flex-shrink: 0;
	padding: 0px 20px;
}

.konet {
	color: white;
	font-family: Arial, sans-serif;
	font-size: 1.5em;
	font-weight: 400;
	text-decoration: none;
}

.konet * {
	position: relative;
}

.konet img {
	height: 0.75em;
}

audio {
	display: none;
}